-----
  title: 'Response/nonresponse for the pop-up questions'
author: "Anne Elevelt"
date: "02-04-2019`"
-----

install.packages("Rcmdr", dependencies = TRUE)
library(Rcmdr)

install.packages(Hmisc)
library(Hmisc)

#Get the TUS data file.
diary <- spss.get("")
head(diary)


#Did the respondent answer the popoup question or not?
diary$ht13a2035[diary$ht13a2035 == levels(diary$ht13a2035)[1]] <- NA
resp.popup1.1 <- 1 - is.na(diary$ht13a2035) * 1 
diary[, 6345] = resp.popup1.1

diary$ht13a2048[diary$ht13a2048 == levels(diary$ht13a2048)[1]] <- NA
resp.popup1.2 <- 1 - is.na(diary$ht13a2048) * 1 
diary[, 6346] = resp.popup1.2

diary$ht13a2061[diary$ht13a2061 == levels(diary$ht13a2061) [1]] <- NA
resp.popup1.3 <- 1 - is.na(diary$ht13a2061) * 1
diary[, 6347] = resp.popup1.3

diary$ht13a2074[diary$ht13a2074 == levels(diary$ht13a2074) [1]] <- NA
resp.popup1.4 <- 1 - is.na(diary$ht13a2074) * 1
diary[, 6348] = resp.popup1.4

diary$ht13a2087[diary$ht13a2087 == levels(diary$ht13a2087) [1]] <- NA
resp.popup1.5 <- 1 - is.na(diary$ht13a2087) * 1
diary[, 6349] = resp.popup1.5


diary$ht13a2100[diary$ht13a2087 == levels(diary$ht13a2087) [1]] <- NA
resp.popup1.6 <- 1 - is.na(diary$ht13a2087) * 1
diary[, 6350] = resp.popup1.6

resp.popupday1 <- resp.popup1.1 + resp.popup1.2 + resp.popup1.3 + resp.popup1.4 + resp.popup1.5 + resp.popup1.6
diary[, 6351] = resp.popupday1
resp.popupday1

diary$ht13a4144[diary$ht13a4144 == levels(diary$ht13a4144)[1]] <- NA
resp.popup2.1 <- 1 - is.na(diary$ht13a4144) * 1
diary[, 6352] = resp.popup2.1

diary$ht13a4157[diary$ht13a4157 == levels(diary$ht13a4157)[1]] <- NA
resp.popup2.2 <- 1 - is.na(diary$ht13a4157) * 1
diary[, 6353] = resp.popup2.2

diary$ht13a4170[diary$ht13a4170 == levels(diary$ht13a4170)[1]] <- NA
resp.popup2.3 <- 1 - is.na(diary$ht13a4170) * 1
diary[, 6354] = resp.popup2.3

diary$ht13a4183[diary$ht13a4183 == levels(diary$ht13a4183)[1]] <- NA
resp.popup2.4 <- 1 - is.na(diary$ht13a4183) * 1
diary[, 6355] = resp.popup2.4

diary$ht13a4196[diary$ht13a4196 == levels(diary$ht13a4196)[1]] <- NA
resp.popup2.5 <- 1 - is.na(diary$ht13a4196) * 1
diary[, 6356] = resp.popup2.5

diary$ht13a4209[diary$ht13a4209 == levels(diary$ht13a4209)[1]] <- NA
resp.popup2.6 <- 1 - is.na(diary$ht13a4209) * 1
diary[, 6357] = resp.popup2.6

resp.popupday2 <- resp.popup2.1 + resp.popup2.2 + resp.popup2.3 + resp.popup2.4 + resp.popup2.5 + resp.popup2.6
diary[, 6358] = resp.popupday2
resp.popupday2

diary$ht13a6253[diary$ht13a6253 == levels(diary$ht13a6253)[1]] <- NA
resp.popup3.1 <- 1 - is.na(diary$ht13a6253) * 1
diary[, 6359] = resp.popup3.1

diary$ht13a6266[diary$ht13a6266 == levels(diary$ht13a6266)[1]] <- NA
resp.popup3.2 <- 1 - is.na(diary$ht13a6266) * 1
diary[, 6360] = resp.popup3.2

diary$ht13a6279[diary$ht13a6279 == levels(diary$ht13a6279)[1]] <- NA
resp.popup3.3 <- 1 - is.na(diary$ht13a6279) * 1
diary[, 6361] = resp.popup3.3

diary$ht13a6292[diary$ht13a6292 == levels(diary$ht13a6292)[1]] <- NA
resp.popup3.4 <- 1 - is.na(diary$ht13a6292) * 1
diary[, 6362] = resp.popup3.4

diary$ht13a6305[diary$ht13a6305 == levels(diary$ht13a6305)[1]] <- NA
resp.popup3.5 <- 1 - is.na(diary$ht13a6305) * 1
diary[, 6363] = resp.popup3.5

diary$ht13a6318[diary$ht13a6318 == levels(diary$ht13a6318)[1]] <- NA
resp.popup3.6 <- 1 - is.na(diary$ht13a6318) * 1
diary[, 6364] = resp.popup3.6

resp.popupday3 <- resp.popup3.1 + resp.popup3.2 + resp.popup3.3 + resp.popup3.4 + resp.popup3.5 + resp.popup3.6
diary[, 6365] = resp.popupday3
resp.popupday3

diary$popup_total <- diary$resp.popupday1 + diary$resp.popupday2 + diary$resp.popupday1

diary$popup_part <- 0
diary$popup_part[which(diary$popup_total < 0)] <- 1

popup <- cbind.data.frame(diary$nomem_encr, diary$popup_part)

#save file, so we can use it in SPSS.
write.table(popup, "popup.csv", sep="\t", row.names=FALSE)

